function fzf_hg_stack
    set -l result (hg stack | fzf --ansi -m --header "Select the revsion(s)" --preview "echo {} | sed -rn 's/[[:space:]]*(s[[:digit:]]+).*/\1/p' | xargs hg diff --color=always -c" )
    if test -n "$result"
        set -l revs
        for rev in $result
            set revs $revs (echo $rev | sed -rn 's/[[:space:]]*(s[[:digit:]]+).*/\1/p')
        end
        commandline -i (string join " " -- $revs "")
    end
    commandline -f repaint
end
